Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[risolto] kernel 2.6.23 invalid module format
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Xet
Apprentice
Apprentice


Joined: 02 May 2004
Posts: 170

PostPosted: Mon Oct 22, 2007 3:03 pm    Post subject: [risolto] kernel 2.6.23 invalid module format Reply with quote

saluti :)

sto provando il kernel 2.6.23, ma non riesco a convincerlo a caricare i suoi moduli correttamente.
più precisamente tendando di modprobare il modulo per la mia scheda di rete succede quanto segue:

Code:

WARNING: Error inserting mii (/lib/modules/2.6.23-gentoo/kernel/drivers/net/mii.ko): Invalid module format
FATAL: Error inserting atl1 (/lib/modules/2.6.23-gentoo/kernel/drivers/net/atl1/atl1.ko): Invalid module format


dmesg recita questo:

Code:

i2c_core: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
nvidia: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
mii: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
atl1: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
mii: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
atl1: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
mii: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
atl1: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
mii: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '
atl1: version magic '2.6.23-gentoo SMP mod_unload CORE2 ' should be '2.6.23-gentoo SMP mod_unload PENTIUMIII '


il processore è un core 2 duo E6600 su una asus p5k

i moduli in questione sono tutti gli alsa, nvidia proprietari, e in generale ogni modulo di /etc/modules.autoload/kernel2.6
Code:

IlFast linux # cat /etc/modules.autoload.d/kernel-2.6
# /etc/modules.autoload.d/kernel-2.6:  kernel modules to load when system boots.
#
# Note that this file is for 2.6 kernels.
#
# Add the names of modules that you'd like to load when the system
# starts into this file, one per line.  Comments begin with # and
# are ignored.  Read man modules.autoload for additional details.

# For example:
# aic7xxx


atl1
#shfs
tun
smbfs
uinput
#snd-emu10k1
#snd-hda-intel
#snd-usb


#coretemp
#realtime
nvidia
ipaq



cheers
_________________
sono colui che sostiene il reale


Last edited by Xet on Mon Oct 22, 2007 5:43 pm; edited 1 time in total
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Mon Oct 22, 2007 3:25 pm    Post subject: Re: kernel 2.6.23 invalid module format Reply with quote

Xet wrote:

più precisamente tendando di modprobare il modulo per la mia scheda di rete succede quanto segue:

[OT]
Scusate ma questa volta non riesco a chiudere un occhio: smettiamola di stuprare la cara lingua italiana.... :evil: :roll:
[/OT]

Tornando a noi: probabilmente hai fatto qualche casino nella ricompilazione-reinstallazione dei moduli.

Elimina il contenuto di /lib/modules/2.6.23-gentoo, ricompila il kernel, assicurandoti di selezionare il tipo corretto di processore, e reinstalla i moduli. Ricompila inoltre tutti i moduli esterni, forniti dai pacchetti Gentoo (es. nvidia-drivers).
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
Xet
Apprentice
Apprentice


Joined: 02 May 2004
Posts: 170

PostPosted: Mon Oct 22, 2007 3:32 pm    Post subject: Reply with quote

[ot]
ma non è l'italiaco idioma quello da me scritto... è nerdese semplificato :) UTF-8-nerd
[/ot]


mettu subito in pratica i tuoi suggerimenti.
do per scontato che debba ricompilare il kernel dal 2.6.23 non dal precedente.

grazie mille
_________________
sono colui che sostiene il reale
Back to top
View user's profile Send private message
nikko96
Apprentice
Apprentice


Joined: 22 Jul 2005
Posts: 229
Location: Pulcinella's Country

PostPosted: Mon Oct 22, 2007 3:39 pm    Post subject: Re: kernel 2.6.23 invalid module format Reply with quote

Con il 2.6 i moduli necessari all'avvio,come la scheda di rete,vengono caricati
in automatico senza /etc/modules.autoload/kernel.
Comunque da quello che vedo nel tuo post,presumo ci siano stati errori di configurazione (uno potrebbe
essere il modulo della scheda di rete non attivato),oppure errori di compilazione.
Sarebbe utile un
Code:
lspci

per cominciare,ciao.
_________________
My system: cpu Intel core 2 duo e6750,mb asus p5n-e sli,scheda grafica nvidia GeForce 9600 GT,kernel 2.6.31-gentoo-r6
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Mon Oct 22, 2007 4:20 pm    Post subject: Re: kernel 2.6.23 invalid module format Reply with quote

Scen wrote:
[OT]Scusate ma questa volta non riesco a chiudere un occhio: smettiamola di stuprare la cara lingua italiana.... :evil: :roll: [/OT]

Ed eccone un'altro... :twisted: Forse è il caso di riconoscere che la squola non insegna più a leggere e scrivere?! (L'errore è intezionale, stavolta)
Non lo dico perchè voglio fare il saputo ma perchè alla fine sto diventando agrammaticato anche io.

@Xet quoto ed aggiungo:

stai usando genkernel? Se si LOCALVERSION_AUTO deve essere settato ad N o combina casini di path, quindi verifica se non hai abilitato/disabiltato l'opzione tra un tentativo e l'altro.
controlla che non hai /lib/modules/kernel/drivers/net/mii.ko o qualcosa del genere.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Xet
Apprentice
Apprentice


Joined: 02 May 2004
Posts: 170

PostPosted: Mon Oct 22, 2007 5:16 pm    Post subject: Re: kernel 2.6.23 invalid module format Reply with quote

Scen wrote:
controlla che non hai /lib/modules/kernel/drivers/net/mii.ko o qualcosa del genere.

suggerisco una pronta chiusura della polemica idiomatica data la mancanza cronica di congiuntivi.
riconosco di aver usato una storpiatura lessicale... ma mi pareva di ricordare che questo fosse uno dei pochi forum non frequentati da biNbiminkia

Torniamo ai problemi tecnici prima di annoiare tutti con sì tanto squisite quanto inutili dissertazioni grammaticali

Ho fatto come suggerito e tanto per essere sicuro di lasciarmi gli errori alle spalle ho anche ri-emerso gentoo-sources. Dopo un veloce reboot è andato tutto a posto.
L'errore non é stato rilevato... apparentemente si potrebbe trattare di un errore di sintassi: al posto di make oldconfig credo di aver eseguito make oldconf e da qui in poi mi sono portato dietro errori invisibili per tutta la configurazione.

Non uso genkernel. Per scelta.
I moduli vengono caricati automaticamente solo se si è attivato il relativo modulo, presumo.


Grazie dell'assistenza e il supporto morale.
_________________
sono colui che sostiene il reale
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Mon Oct 22, 2007 6:34 pm    Post subject: Re: kernel 2.6.23 invalid module format Reply with quote

Xet wrote:
I moduli vengono caricati automaticamente solo se si è attivato il relativo modulo, presumo.


e presumi male. I moduli vengono caricati automaticamente se hai attivato KMOD ed una parte di quelli per la rete vengono tirati in ballo dall'rc quando attiva le interfacce. Make modules_install si limita a copiare i moduli e lanciare un depmod -a di modo che ti ritrovi anche moduli provenienti dalla precedente configurazione per cui, in ossequio alla mia pigrizia, preferisco usare genkernel.

ps: la possima volta riprendi lo sgrammaticato giusto. Non mi va che i miei meriti siano attribuiti ad altri. :lol:
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum